DECLARE @POSITION_LIMIT int
DECLARE @RATING_LIMIT int
SET @POSITION_LIMIT = 4
SET @RATING_LIMIT = 3

select '<normalizedMovies>'

select '<myTopMovies>'
select title_id, Rating from myMovies where Rating <= @RATING_LIMIT for xml raw
select '</myTopMovies>'

select '<ratingLabels>'
select * from myratings for xml raw
select '</ratingLabels>'

select '<movieIdTitle>'
select m.title_id, title from movies m
join myMovies mm
on m.title_id = mm.title_id
where mm.rating <= @RATING_LIMIT  for xml raw
select '</movieIdTitle>'

select '<peopleIdName>'
select distinct n.name_id, n.name from mainactors ma
join mymovies m on ma.title_id = m.title_id
join names n on ma.name_id = n.name_id
where m.rating <= @RATING_LIMIT  and position <=@POSITION_LIMIT 
union
select distinct n.name_id, n.name from mainactresses ma
join mymovies m on ma.title_id = m.title_id
join names n on ma.name_id = n.name_id
where m.rating <= @RATING_LIMIT  and position <=@POSITION_LIMIT 
union
select distinct n.name_id, n.name from directors d
join mymovies m on d.title_id = m.title_id
join names n on d.name_id = n.name_id
where m.rating <= @RATING_LIMIT  
for xml raw
select '</peopleIdName>'

select '<peopleMovies>'
select distinct p.name_id, p.title_id, 1 as role from mainactors p
join mymovies m on m.title_id = p.title_id
where m.rating <=@RATING_LIMIT  and position <= @POSITION_LIMIT  
union
select distinct p.name_id, p.title_id, 1 as role from mainactresses p
join mymovies m on m.title_id = p.title_id
where m.rating <=@RATING_LIMIT  and position <= @POSITION_LIMIT 
union
select distinct p.name_id, p.title_id, 0 as role from directors p
join mymovies m on m.title_id = p.title_id
where m.rating <=@RATING_LIMIT  
order by name_id
for xml raw
select '<peopleMovies>'

select '</normalizedMovies>'